# Uses of Interface
org.apache.velocity.runtime.parser.Parser

Packages that use Parser
Package
Description
org.apache.velocity.runtime
org.apache.velocity.runtime.parser
org.apache.velocity.runtime.parser.node

## Uses of Parser in org.apache.velocity.runtime

Methods in org.apache.velocity.runtime that return Parser
Modifier and Type
Method
Description
`Parser`
RuntimeInstance.`createNewParser()`
Returns a JavaCC generated Parser.
`Parser`
RuntimeServices.`createNewParser()`
Create a new parser instance.
`Parser`
ParserPool.`get()`
Retrieve an instance of a parser pool.
`Parser`
ParserPoolImpl.`get()`
Call the wrapped pool.
Methods in org.apache.velocity.runtime with parameters of type Parser
Modifier and Type
Method
Description
`void`
ParserPool.`put(Parser parser)`
Return the parser to the pool so that it may be reused.
`void`
ParserPoolImpl.`put(Parser parser)`
Call the wrapped pool.

## Uses of Parser in org.apache.velocity.runtime.parser

Classes in org.apache.velocity.runtime.parser that implement Parser
Modifier and Type
Class
Description
`class`
`StandardParser`
This class is responsible for parsing a Velocity template.

## Uses of Parser in org.apache.velocity.runtime.parser.node

Fields in org.apache.velocity.runtime.parser.node declared as Parser
Modifier and Type
Field
Description
`protected Parser`
SimpleNode.`parser`
Methods in org.apache.velocity.runtime.parser.node that return Parser
Modifier and Type
Method
Description
`Parser`
Node.`getParser()`
`Parser`
SimpleNode.`getParser()`
Methods in org.apache.velocity.runtime.parser.node with parameters of type Parser
Modifier and Type
Method
Description
`static StringBuilder`
NodeUtils.`getSpecialText(Parser parser, Token t)`
Collect all the <SPECIAL_TOKEN>s that are carried along with a token.
`static String`
NodeUtils.`tokenLiteral(Parser parser, Token t)`
complete node literal
Constructors in org.apache.velocity.runtime.parser.node with parameters of type Parser
Modifier
Constructor
Description
``
`ASTAddNode(Parser p, int id)`
``
`ASTAndNode(Parser p, int id)`
``
`ASTAssignment(Parser p, int id)`
``
`ASTBinaryOperator(Parser p, int id)`
``
`ASTBlock(Parser p, int id)`
``
`ASTComment(Parser p, int id)`
``
`ASTComparisonNode(Parser p, int id)`
``
`ASTDirective(Parser p, int id)`
``
`ASTDirectiveAssign(Parser p, int i)`
``
`ASTDivNode(Parser p, int id)`
``
`ASTElseIfStatement(Parser p, int id)`
``
`ASTElseStatement(Parser p, int id)`
``
`ASTEQNode(Parser p, int id)`
``
`ASTEscape(Parser p, int id)`
``
`ASTEscapedDirective(Parser p, int id)`
``
`ASTExpression(Parser p, int id)`
``
`ASTFalse(Parser p, int id)`
``
`ASTFloatingPointLiteral(Parser p, int id)`
``
`ASTGENode(Parser p, int id)`
``
`ASTGTNode(Parser p, int id)`
``
`ASTIdentifier(Parser p, int id)`
``
`ASTIfStatement(Parser p, int id)`
``
`ASTIncludeStatement(Parser p, int id)`
``
`ASTIndex(Parser p, int i)`
``
`ASTIntegerLiteral(Parser p, int id)`
``
`ASTIntegerRange(Parser p, int id)`
``
`ASTLENode(Parser p, int id)`
``
`ASTLogicalOperator(Parser p, int id)`
``
`ASTLTNode(Parser p, int id)`
``
`ASTMap(Parser p, int id)`
``
`ASTMathNode(Parser p, int id)`
``
`ASTMethod(Parser p, int id)`
``
`ASTModNode(Parser p, int id)`
``
`ASTMulNode(Parser p, int id)`
``
`ASTNegateNode(Parser p, int i)`
``
`ASTNENode(Parser p, int id)`
``
`ASTNotNode(Parser p, int id)`
``
`ASTObjectArray(Parser p, int id)`
``
`ASTOrNode(Parser p, int id)`
``
`ASTParameters(Parser p, int id)`
``
`ASTprocess(Parser p, int id)`
``
`ASTReference(Parser p, int id)`
``
`ASTSetDirective(Parser p, int id)`
``
`ASTStringLiteral(Parser p, int id)`
``
`ASTSubtractNode(Parser p, int id)`
``
`ASTText(Parser p, int id)`
``
`ASTTextblock(Parser p, int id)`
``
`ASTTrue(Parser p, int id)`
``
`ASTVariable(Parser p, int id)`
``
`ASTWord(Parser p, int id)`
``
`SimpleNode(Parser p, int i)`